package chess4j.exceptions;

import chess4j.moves.Move;

public class IllegalMoveException extends Exception {

	/**
	 * 
	 */
	private static final long serialVersionUID = 7181833070688650739L;

	private Move _illegalMove;
	public IllegalMoveException(Move illegalMove) {
		_illegalMove = illegalMove;
	}
	
	@Override
	public String getMessage() {
		return "Illegal move: " + _illegalMove.toString();
	}
}
